Package org.eclipse.wst.xsl.ui.internal.preferences

## org.eclipse.wst.xsl.ui.internal.preferences
Class ValidationPreferencePage

    public class ValidationPreferencePage
    extends org.eclipse.wst.xsl.ui.internal.preferences.AbstractXSLPreferencePage

Preference page for XSL validator preferences.

## Constructor Summary

`ValidationPreferencePage()`

## Method Summary

`protected Combo` | `createCombo(Composite parent , java.lang.String label , java.lang.String prefKey)`
`protected Composite` | `createCommonContents(Composite parent)`
`protected void` | `initializeValues()`
`protected void` | `performDefaults()`
`protected void` | `storeValues()`
`protected void` | `validateValues()`

## Constructor Detail

## ValidationPreferencePage

`public ValidationPreferencePage()`

Create a new instance of this.

## Methods Detail

## createCombo

`protected Combo createCombo(Composite parent , java.lang.String label , java.lang.String prefKey)`

### Parameters

`parent`

`label`

`prefKey`

### Returns

`Combo`

## createCommonContents

`protected Composite createCommonContents(Composite parent)`

### Parameters

`parent`

### Returns

`Composite`

## initializeValues

`protected void initializeValues()`

## performDefaults

`protected void performDefaults()`

## storeValues

`protected void storeValues()`

## validateValues

`protected void validateValues()`